Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 818200 - BACKEND: Can't resume VM from suspend
Summary: BACKEND: Can't resume VM from suspend
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: lpeer
QA Contact: Avihai Shoham
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-02 12:38 UTC by Daniel Paikov
Modified: 2015-09-22 13:10 UTC (History)
12 users (show)

Fixed In Version: SI4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
vdsm.log (473.25 KB, application/x-compressed-tar)
2012-05-02 12:38 UTC, Daniel Paikov
no flags Details

Description Daniel Paikov 2012-05-02 12:38:41 UTC
Created attachment 581608 [details]
vdsm.log

Resume from suspend fails with the following:

Thread-221188::ERROR::2012-05-02 15:23:23,247::vm::601::vm.Vm::(_startUnderlyingVm) vmId=`8776a8bd-7c44-4e64-8756-c05a2ab3a112`::The vm start process failed
Traceback (most recent call last):
  File "/usr/share/vdsm/vm.py", line 567, in _startUnderlyingVm
    self._run()
  File "/usr/share/vdsm/libvirtvm.py", line 1295, in _run
    domxml = hooks.before_vm_start(self._buildCmdLine(), self.conf)
  File "/usr/share/vdsm/libvirtvm.py", line 1173, in _buildCmdLine
    devElem = dev.getXML()
  File "/usr/share/vdsm/libvirtvm.py", line 880, in getXML
    m.setAttribute('vram', self.specParams['vram'])
AttributeError: 'VideoDevice' object has no attribute 'specParams'

Comment 9 Avihai Shoham 2012-05-31 07:01:12 UTC
Tested on SI4 with the following versions


1)vdsm-4.9.6-10.el6.x86_64
2)qemu-img-rhev-0.12.1.2-2.292.el6.x86_64
3)qemu-kvm-rhev-0.12.1.2-2.292.el6.x86_64
4)libvirt-0.9.10-21.el6.x86_64


The case (Resume from suspend) PASS and not resproduced. moved to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.